## org.jdom
Class IllegalAddException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--java.lang.IllegalArgumentException
                              |
                              +--org.jdom.IllegalAddException

public class IllegalAddException
extends java.lang.IllegalArgumentException

`IllegalAddException` is thrown when trying to add a illegal object to a JDOM construct.

Version:
  $Revision: 1.17 $, $Date: 2002/02/23 11:30:13 $
Author:
  Brett McLaughlin
See Also:
  Serialized Form

Constructor Summary
`IllegalAddException(Document base, Comment added, java.lang.String reason)` This will create an `Exception` indicating that the addition of the ``Comment`` to the ``Document`` is illegal.
`IllegalAddException(Document base, DocType added, java.lang.String reason)` This will create an `Exception` indicating that the addition of the ``DocType`` to the ``Document`` is illegal.
`IllegalAddException(Document base, Element added, java.lang.String reason)` This will create an `Exception` indicating that the addition of the ``Element`` to the ``Document`` is illegal.
`IllegalAddException(Document base, ProcessingInstruction added, java.lang.String reason)` This will create an `Exception` indicating that the addition of the ``ProcessingInstruction`` to the ``Document`` is illegal.
`IllegalAddException(Element base, Attribute added, java.lang.String reason)` This will create an `Exception` indicating that the addition of the ``Attribute`` to the ``Element`` is illegal.
`IllegalAddException(Element base, CDATA added, java.lang.String reason)` This will create an `Exception` indicating that the addition of the ``CDATA``
`IllegalAddException(Element base, Comment added, java.lang.String reason)` This will create an `Exception` indicating that the addition of the ``Comment`` to the ``Element`` is illegal.
`IllegalAddException(Element base, Element added, java.lang.String reason)` This will create an `Exception` indicating that the addition of the ``Element`` to parent is illegal.
`IllegalAddException(Element base, EntityRef added, java.lang.String reason)` This will create an `Exception` indicating that the addition of the ``EntityRef`` to the ``Element`` is illegal.
`IllegalAddException(Element base, Namespace added, java.lang.String reason)` This will create an `Exception` indicating that the addition of the ``Namespace`` to the ``Element`` is illegal.
`IllegalAddException(Element base, ProcessingInstruction added, java.lang.String reason)` This will create an `Exception` indicating that the addition of the ``ProcessingInstruction`` to the ``Element`` is illegal.
`IllegalAddException(Element base, Text added, java.lang.String reason)` This will create an `Exception` indicating that the addition of the ``Text`` to the ``Element`` is illegal.
`IllegalAddException(java.lang.String reason)` This will create an `Exception` with the specified error message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IllegalAddException

    public IllegalAddException(Element base,
                               Attribute added,
                               java.lang.String reason)

  This will create an `Exception` indicating that the addition of the ``Attribute`` to the ``Element`` is illegal.

  Parameters:
    `base` - `Element` that `Attribute` couldn't be added to
    `added` - `Attribute` that could not be added
    `reason` - cause of the problem

### IllegalAddException

    public IllegalAddException(Element base,
                               Element added,
                               java.lang.String reason)

  This will create an `Exception` indicating that the addition of the ``Element`` to parent is illegal.

  Parameters:
    `base` - `Element` that the child couldn't be added to
    `added` - `Element` that could not be added
    `reason` - cause of the problem

### IllegalAddException

    public IllegalAddException(Document base,
                               Element added,
                               java.lang.String reason)

  This will create an `Exception` indicating that the addition of the ``Element`` to the ``Document`` is illegal.

  Parameters:
    `base` - `Document` that the `Element` couldn't be added to
    `added` - `Element` that could not be added
    `reason` - cause of the problem

### IllegalAddException

    public IllegalAddException(Element base,
                               ProcessingInstruction added,
                               java.lang.String reason)

  This will create an `Exception` indicating that the addition of the ``ProcessingInstruction`` to the ``Element`` is illegal.

  Parameters:
    `base` - `Element` that the `ProcessingInstruction` couldn't be added to
    `added` - `ProcessingInstruction` that could not be added
    `reason` - cause of the problem

### IllegalAddException

    public IllegalAddException(Document base,
                               ProcessingInstruction added,
                               java.lang.String reason)

  This will create an `Exception` indicating that the addition of the ``ProcessingInstruction`` to the ``Document`` is illegal.

  Parameters:
    `base` - `Document` that the `ProcessingInstruction` couldn't be added to
    `added` - `ProcessingInstruction` that could not be added
    `reason` - cause of the problem

### IllegalAddException

    public IllegalAddException(Element base,
                               Comment added,
                               java.lang.String reason)

  This will create an `Exception` indicating that the addition of the ``Comment`` to the ``Element`` is illegal.

  Parameters:
    `base` - `Element` that the `Comment` couldn't be added to
    `added` - `Comment` that could not be added
    `reason` - cause of the problem

### IllegalAddException

    public IllegalAddException(Element base,
                               CDATA added,
                               java.lang.String reason)

  This will create an `Exception` indicating that the addition of the ``CDATA``

  Parameters:
    `base` - `Element` that the `CDATA` couldn't be added to
    `added` - `CDATA` that could not be added
    `reason` - cause of the problem

### IllegalAddException

    public IllegalAddException(Element base,
                               Text added,
                               java.lang.String reason)

  This will create an `Exception` indicating that the addition of the ``Text`` to the ``Element`` is illegal.

  Parameters:
    `base` - `Element` that the `Comment` couldn't be added to
    `added` - `Text` that could not be added
    `reason` - cause of the problem

### IllegalAddException

    public IllegalAddException(Document base,
                               Comment added,
                               java.lang.String reason)

  This will create an `Exception` indicating that the addition of the ``Comment`` to the ``Document`` is illegal.

  Parameters:
    `base` - `Document` that the `Comment` couldn't be added to
    `added` - `Comment` that could not be added
    `reason` - cause of the problem

### IllegalAddException

    public IllegalAddException(Element base,
                               EntityRef added,
                               java.lang.String reason)

  This will create an `Exception` indicating that the addition of the ``EntityRef`` to the ``Element`` is illegal.

  Parameters:
    `base` - `Element` that the `EntityRef` couldn't be added to
    `added` - `EntityRef` reference that could not be added
    `reason` - cause of the problem

### IllegalAddException

    public IllegalAddException(Element base,
                               Namespace added,
                               java.lang.String reason)

  This will create an `Exception` indicating that the addition of the ``Namespace`` to the ``Element`` is illegal.

  Parameters:
    `base` - `Element` that the `Namespace` couldn't be added to
    `added` - `Namespace` that could not be added
    `reason` - cause of the problem

### IllegalAddException

    public IllegalAddException(Document base,
                               DocType added,
                               java.lang.String reason)

  This will create an `Exception` indicating that the addition of the ``DocType`` to the ``Document`` is illegal.

  Parameters:
    `base` - `Document` that the `DocType` couldn't be added to
    `added` - `DocType` that could not be added
    `reason` - cause of the problem

### IllegalAddException

    public IllegalAddException(java.lang.String reason)

  This will create an `Exception` with the specified error message.

  Parameters:
    `reason` - cause of the problem

Copyright © 2002 Jason Hunter, Brett McLaughlin. All Rights Reserved.